<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping
  PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="false" default-cascade="all-delete-orphan" default-lazy="false">
   <class discriminator-value="[magoffin.matt.ieat.domain.RecipeIngredient]"
          name="magoffin.matt.ieat.domain.RecipeIngredient"
          table="recipeingredient">
      <cache usage="read-write"/>
      <id access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
          name="Hjid"
          type="org.hibernate.type.LongType"
          unsaved-value="null">
         <column name="recipeingredientid" not-null="true"/>
         <generator class="native"/>
      </id>
      <discriminator formula="'magoffin.matt.ieat.domain.RecipeIngredient'"
                     type="org.hibernate.type.StringType"/>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="Optional">
         <column name="optional" not-null="true"/>
         <type name="org.hibernate.type.BooleanType"/>
      </property>
      <many-to-one cascade="none" class="magoffin.matt.ieat.domain.Ingredient"
                   foreign-key="recipeingredient_ingredient_fk"
                   insert="true"
                   name="Ingredient"
                   update="true">
         <column name="ingredientid"/>
      </many-to-one>
      <many-to-one cascade="none" class="magoffin.matt.ieat.domain.Recipe"
                   foreign-key="recipeingredient_ingredientrecipe_fk"
                   insert="true"
                   name="Recipe"
                   update="true">
         <column name="ingredientrecipeid"/>
      </many-to-one>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="Quantity">
         <column name="quantity" not-null="true"/>
         <type name="org.hibernate.type.DoubleType"/>
      </property>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="Qualifier">
         <column length="255" name="qualifier"/>
         <type name="org.hibernate.type.StringType"/>
      </property>
      <many-to-one cascade="none" class="magoffin.matt.ieat.domain.Unit"
                   foreign-key="recipeingredient_unit_fk"
                   insert="true"
                   name="Unit"
                   update="true">
         <column name="unitid"/>
      </many-to-one>
      <subclass discriminator-value="magoffin.matt.ieat.domain.RecipeIngredient"
                name="magoffin.matt.ieat.domain.impl.RecipeIngredientImpl"/>
   </class>
</hibernate-mapping>